<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~external_protocol.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>
.wizard .step-form > tbody > tr.more-padding > td 
{
    padding-top: 5px;
    padding-bottom: 5px;
    line-height: 150%;	
}
.wizard .step-form > tbody > tr.more-padding > td img
{
	margin-right: 2px;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Lab protocols for external sequencing" 
		/></p:path>

	<div class="content">

	<form name="reggie" action="external_protocol2.jsp" method="post" target="_blank" id="wizard" class="wizard">
	<input type="hidden" name="ID" value="<%=ID%>">
	<input type="hidden" name="view" value="list">
	<input type="hidden" name="poolSchema" value="5by24">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select external libplate</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">External libplate</td>
				<td class="input">
					<select name="bioplate" id="bioplate"></select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help" rowspan="2">
					<span id="bioplate.message" class="message"></span>
					Select an existing external library plate. The list contain all plates that
					has not yet been processed (determined by the absence of a 'creation' date).
				</td>
			</tr>
			<tbody class="info-section">
			<tr>
				<td class="prompt">Comments</td>
				<td class="info" id="comments"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			</tbody>
			<tr class="align-top more-padding">
				<td class="prompt">Lab protocols</td>
				<td class="input">
					<base:icon subclass="link" id="listview" image="<%=home + "/images/listview.png"%>" 
						data-protocol-type="list" title="Lab protocol as a list">List layout</base:icon><br>
					<base:icon subclass="link" id="plateview" image="<%=home + "/images/plateview.png"%>" 
						data-protocol-type="plate" title="Lab protocol as a plate">Plate layout</base:icon>
				</td>
				<td class="status" id="protocol.status"></td>
				<td class="help">
					<span id="protocol.message" class="message"></span>
					The 'list layout' generates a table with one row for each well on the work plate.
					The 'plate layout' generates a grid with wells arranged according to row and column coordinates.
				</td>
			</tr>
			<tr class="align-top more-padding">
				<td class="prompt">Tube labels</td>
				<td class="input">
					<label><input type="checkbox" name="includeAll" id="includeAll" style="margin-left: 1px;">For all samples (including pre-normalized)</label><br>
					<base:icon subclass="link" id="downloadLabelsCsv" image="<%=home + "/images/download.png"%>" 
						data-format="csv" title="Download labels as a tab-separated text file (csv)">CSV</base:icon>
					<base:icon subclass="link" id="downloadLabelsXlsx" image="<%=home + "/images/download.png"%>" 
						data-format="xlsx" title="Download lables as an Excel worksheet file (xlsx)">Excel</base:icon>
				</td>
				<td class="status" id="labels.status"></td>
				<td class="help">
					<span id="labels.message" class="message"></span>
					Tube labels are needed if delivering in tubes and there are samples that has not
					been pre-normalized.
				</td>
			</tr>
			<tr class="align-top more-padding">
				<td class="prompt">Sample sheet</td>
				<td class="input">
					<base:icon subclass="link" id="ctgRnaSampleSheet" image="<%=home + "/images/excel.png"%>" 
						data-template="ctg-rna" title="Download a sample sheet to send with the samples">CTG RNA Sample sheet (Excel)</base:icon><br>
				</td>
				<td class="status" id="samplesheet.status"></td>
				<td class="help">
					<span id="samplesheet.message" class="message"></span>
					A sample sheet need to be delivered to the external operator.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>