<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~picklist.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Protocols and labels for sample outtakes " 
		/></p:path>

	<div class="content">

	<form name="reggie" action="picklist2.jsp" method="post" target="_blank" id="wizard" class="wizard">
	<input type="hidden" name="ID" value="<%=ID%>">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select an outtake work list</div>
		<div class="step-content">

			<table clasS="step-form">
			<tr>
				<td class="prompt">Outtake work list</td>
				<td class="input">
					<select name="workList" id="workList" class="required"></select>
				</td>
				<td class="status" id="workList.status"></td>
				<td class="help">
					<span id="workList.message" class="message"></span>
					Select an existing outtake work list.
				</td>
			</tr>
			<tbody class="info-section">
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="info" colspan="2"><div id="comments" style="min-height: 8em;"></div></td>
				<td class="help"></td>
			</tr>
			</tbody>
			<tr>
				<td class="prompt">Use External ID</td>
				<td class="input">
					<label><input type="checkbox" checked name="useExternalId" id="useExternalId" value="1">
					Yes</label>
				</td>
				<td class="status" id="useExternalId.status"></td>
				<td class="help">
					<span id="useExternalId.message" class="message"></span>
					If checked, the protocol and label file will use the External ID instead
					of the SCAN-B ID.
				</td>
			</tr>
			<tr>
				<td class="prompt">Download labels</td>
				<td class="input">
						<base:icon subclass="link" id="downloadLabelsCsv" image="<%=home + "/images/download.png"%>" 
							data-format="csv" title="Download labels as a tab-separated text file (csv)">CSV</base:icon>
						<base:icon subclass="link" id="downloadLabelsXlsx" image="<%=home + "/images/download.png"%>" 
							data-format="xlsx" title="Download lables as an Excel worksheet file (xlsx)">Excel</base:icon>
				</td>
				<td class="status"></td>
				<td class="help">
					Do not forget to <b>download labels</b> in either <b>CSV</b> or <b>Excel</b> 
					format for creating labels.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocreate" title="Create protocol" image="<%=home+"/images/gonext.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>