<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~store-paused.js" 
	styles="path.css,~../css/reggie-2.css,~../css/store_paused.css"
	>
<style>
tr.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#specimenTable
{
	border-width: 0;
	font-size: 100%;
}

#specimenTable td:first-child, #specimenTable th:first-child
{
	border-left-width: 0;
}

#protocol-header
{
	display: none;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Store paused specimen" 
		/></p:path>

	<div class="content">
	
	<div id="page-data" class="datacontainer"
		data-home-url="<%=home%>"
	></div>

	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		
		<div class="step-content">
		
			<div id="full-protocol" class="topborder bottomborder">
				<div id="protocol-header">
				<h1>Protocol for specimen storage <span class="reggie">Reggie <%=reggie.getAbout().getVersion() %></span></h1>
				</div>
				<div id="specimenList"></div>
			</div>

			<div style="padding: 1em;">
				<b>Download labels</b>
				<base:icon subclass="link" id="downloadLabelsCsv" image="<%=home + "/images/download.png"%>" 
					data-format="csv" title="Download labels as a tab-separated text file (csv)">CSV</base:icon>
				<base:icon subclass="link" id="downloadLabelsXlsx" image="<%=home + "/images/download.png"%>" 
					data-format="xlsx" title="Download lables as an Excel worksheet file (xlsx)">Excel</base:icon>
			</div>
		</div>
	</div>
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="goprint" title="Print&hellip;" image="<%=home+"/images/print.png"%>" /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>